@import "src/styles/mixin";

.title {
  font-size: $title_16\24;
  text-transform: uppercase;
  font-weight: $bold;
  letter-spacing: 0.06em;
  opacity: 0.6;
  margin-bottom: 25px;
}

.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px 20px;
  position: relative;

  & div {
    width: 350px;
    height: 200px;
    overflow: hidden;
    border-radius: 5px;
    position: relative;

    & img {
      width: 350px;
      height: 200px;
      object-fit: cover;
    }
  }
  & a {
    box-sizing: content-box;
    width: 86px;
    height: 48px;
    background-color: $white;
    padding: 13px 25px;
    position: absolute;
    inset: 50%;
    transform: translate(-50%,-50%);
    @include flexCenter;
    font-size: $title_14\22;
    text-transform: uppercase;
    font-weight: $bold;
    text-decoration: none;
    border-radius: 4px;
    letter-spacing: 0.06rem;
    line-height: $title_22;
    opacity: 1;
    transition: opacity 0.3s ease;
    &:hover {
      opacity: 0.9;
      transition: opacity 0.3s ease;
    }
  }

  & .mainLink {
    padding: 13px 40px;
    text-align: center;
  }
}


